FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000294FL54. Element, Byte, Record or other APIpublic2014-01-20 08:282014-02-11 13:26
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version0.08 
Target Version5.0Fixed in Version5.0 
Summary0000294: Byte interface for original data (including FLAM4FILEs)
DescriptionThe byte interface profides a sequential read or write access to original data. In C the fopen, fclose, fread and fwrite functions are supported. On C++, C#, Java addtional the IO stream class can be supported. The byte interface supports the local or remote access to original files (normal or gzip, bzip2, xz or FLAM4FILEs) with all conversion cabebilities (UNICODE, ASCII, EBCDIC) of FLUC for binary, character or text oriented data. Additional the FLIES-Server can also handle the byte interface calls as own messages. This make it possible to access files from a JavaEE over the network using the FLIES-Server as access point.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000287)
Falk Reichbott (administrator)
2014-02-11 13:26

The byte interface for original data sources are now implemented testet and documented. It support the read and write overlays of the CONV command and the input and output object of the XCNV command as file definition string to read or write a file. The result of such an read and the source of such a write is a neutral FLAM element list. With the formatting overlay as format string the user can define how the neutral FLAM elements are converted in a sequential byte stream (format.binary(), format.char(), format.text() format.xml()) or records (format.record). Means the byte interface support fread() and fwrite() like the runtime environment on z/OS does and provide a platform neutral access in clear, compressed, encrpyted and base encoded files of each type. You can read record oriented data sets or FLAM4FILEs and read the data byte oriented as text with delimiter (read.record(file='test.adc') format.text()). Or read a text member (the 6. member) in UTF-16 from a concatinated GZIP file in form of records (read.text(file='test.gz/:6' CCSID='UTF-16') format.record()) on z/OS, where each text set, will be converted in EBCDIC and given back with length an data. Means all kind of original data source supported by FLAM can be read and formated in a clear data stream or records. The ist valid for sequential write operations.

- Issue History
Date Modified Username Field Change
2014-01-20 08:28 Falk Reichbott New Issue
2014-01-20 08:28 Falk Reichbott Status new => assigned
2014-01-20 08:28 Falk Reichbott Assigned To => Falk Reichbott
2014-02-11 13:26 Falk Reichbott Note Added: 0000287
2014-02-11 13:26 Falk Reichbott Status assigned => resolved
2014-02-11 13:26 Falk Reichbott Fixed in Version => 5.0
2014-02-11 13:26 Falk Reichbott Resolution open => fixed
2014-12-02 07:43 Falk Reichbott Category 4. Element, Byte or Record API => 4. Element, Byte, Record or other API


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker